# &kde; User's Manual

Stephan
Kulow

    coolo@kde.org

2007-09-28
K Desktop Environment
kde4-config
1

# `kde4-config`

Prints &kde; installation paths

    kde4-config
    --expandvars
    --prefix
    --exec-prefix
    --libsuffix
    --localprefix
    --version
    --types
    --path type
    --userpath type
    --install type

## Description

kde4-config is a command line program used to retrieve information about &kde; installation or user paths.

Use this program to determine where the various aspects of the &kde; installation reside on your system.

## Options

`--expandvars`

  expand ${prefix} and ${exec_prefix} in output

`--prefix`

  Compiled in prefix for &kde; libraries

`--exec-prefix`

  Compiled in exec_prefix for &kde; libraries

`--libsuffix`

  Compiled in library path suffix

`--localprefix`

  Prefix in $`HOME` used to write files

`--version`

  Compiled in version string for &kde; libraries

`--types`

  Print a list of all available &kde; resource types

`--path type`

  Search path for the specified type

`--userpath type`

  User paths for the types: desktop|autostart|trash|document

`--install type`

  Prefix to install resource files to

## Examples

Print the top-level &kde; installation directory:

&percnt;``kde4-config --prefix``

Print a list of all resource types:

&percnt;``kde4-config --types``

Print the installed wallpaper path:

&percnt;``kde4-config --path wallpaper``

## See Also

kdeoptions(7)

## Bugs

None known.